Issue 9661

Summary: Use margins to track changes
Product: Writer Reporter: jimshep <jimshep>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: alexl, eric.valette, fangqq, figurski, gleppert, guido.pinkernell, hhielscher, issues, martin, matthias.mueller-prove, max.odendahl, palaran, peter.junge, rb.henschel, stp, ttammar
Version: OOo 1.0.1Keywords: oooqa
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description jimshep 2002-11-29 05:41:26 UTC
The revisions tool in Word XP places all comments, deletions, and formatting
changes in the margins (with the Print View enabled) in text balloons with
pointers to the relevent are in the document.  Each text balloon is colored
differently for each author and type of change.  Since deletions are removed
from the body of the document, the impact of changes on pagination and document
length can easily be determined.
Comment 1 stefan.baltzer 2003-06-04 14:27:05 UTC
Reassigned to Bettina.
Comment 2 utomo99 2003-10-14 11:15:25 UTC
Please try using the latest OpenOffice 1.1 Final , you can download it
from www.openoffice.org
many bug fixes and enhancements since your version and 1.1 Final . If
the problem still happend in 1.1 please report back 
It maybe not yet solve your Issue, but it worth to try.
Comment 3 guido.pinkernell 2004-02-08 11:34:21 UTC
In OOo 1.1.0 note that > Edit > Changes > Record does this already.
Will close this as fixed with OOo 1.1.0.

If this doesn't meet your requirements please feel free to reopen this Issue.
Comment 4 guido.pinkernell 2004-02-08 11:34:37 UTC
.
Comment 5 jimshep 2004-02-08 13:31:39 UTC
Running 1.1.0, I still do not see the behavior I originally described.  When
turing on the record changes mode, all deletions are represented by crossed-out
text when view changes is selected.  When view changes is not selected, the
changes are not displayed at all.  The enhancement I am referring to would place
all deletions in the margins when view changes is enabled (or possibly
disabled).  This allows one to view the deletions and see how they affect the
actual layout of the document (since the deleted text no longer is in the body
of the text).  Additionally, in Word XP, when the text is placed into the
margins, it is placed inside colored text balloons, where the color represents
the person who made the changes.
Comment 6 guido.pinkernell 2004-02-08 18:32:44 UTC
I see. Sorry, I obviously didn't read your first posting carefully enough. Will
set to New now. Thanks for reporting.
Comment 7 diskdoc 2004-05-10 22:25:45 UTC
It would be nice to see this implemented. Seems to be the single feature that
discourages my friend Lisa to make a decisive switch from Word to OOo and/or Linux.
Comment 8 aziem 2005-10-08 16:34:50 UTC
*** Issue 50203 has been marked as a duplicate of this issue. ***
Comment 9 planetthoughtful 2005-11-04 00:04:27 UTC
Please see http://www.oooforum.org/forum/viewtopic.phtml?p=103662#103662 for my
comments on this issue. In summary: I'm personally more interested in Writer
better emulating MS Word's "Comment" feature with its "Note" feature, than the
other issues identified in the comments here, but would also welcome the other
enhancements.

Much warmth,

planetthoughtful
Comment 10 wyth 2006-02-24 16:41:43 UTC
I was just sent this way out of another discussion on this exact topic
(http://www.oooforum.org/forum/viewtopic.phtml?p=128943#128943).  Short version:
I and quite a few teachers and students have some very practical reasons to have
this kind of margin functionality.  I teach writing courses at the University of
Virginia.  Since printing costs recently became prohibitive here, students
e-mail me drafts.  I make comments and propose changes on the draft and e-mail
it back.  I get upwards of 50 essays a semester, and I'm one of maybe 30-some
teachers teaching this course alone.  Notes and changes in the margins are much
more intuitive because this is they way we mark hard copies.  And with Office 12
on the horizon, and in two years new operating system upgrades, OOo will be a
much more attractive alternative --if it's as functional as what the students
and teachers are already using.  So I for one (and I know a number of other
teachers) really want to see this happen.
Comment 11 matthias.mueller-prove 2006-11-17 12:50:52 UTC
I would vote for this if I had any votes left. So I raise the prio to P4. And I
am sure, we can do better than M$Office.
Comment 12 jqheywood 2006-11-30 21:55:42 UTC
I am also a faculty member who uses Linux and OO.o and hates the current Notes
implementation.  It is the only thing in MS Word that I truly miss.  I have a
lot of 30+ page papers to grade each semester, and not wanting to strain my back
or kill trees, I do it electronically.  The MS Word bubble in the margin is
ideal.  The OO.o system with the little box in the text just doesn't cut it. 
One of my colleagues has told me that it is the one thing keeping him from
dumping MS Word and using OO.o.  
Comment 13 davewt2007 2007-03-12 22:25:57 UTC
I have to agree that the Writer editing tools need an overhaul. They were the
thing that most made me reluctant to ditch word and, while I finally decided to
put up with them, I really would like to see them improved.

To begin with, the method for accepting/rejecting changes on a case by case
basis is really cumbersome when compared with Word. That box that opens up with
the changes listed by time is, so far as I can see, utterly pointless. Why use
that, when it is simply better to scroll through the document?

Secondly, the insert comments feature just doesnt cut the mustard -there also
appear to be problems with comment visibility if the document is then opened in
Word. I do a lot of proof-reading work and 99.9% of my clients use Word - I need
the integration to be seemless because otherwise it looks woefully
unprofessional. When I insert a comment, I don't want a little box in the text
-I want it in the margin. Also, when I select a comment to apply to a peice of
text, I don't want the original text to be invisible when my client opens it in
Word (which has just happened).

Finally, I think that the text crossing out feature when you delete text may
have its uses but most of the time it simply makes the document hard to navigate
and requires me to do a second pass with the changes turned off. This allows me
to do a final edit but it takes for ever to delete anything this way.

Overall, I think OOo is excellent and I don't want to be so negative -but text
reviewing tools are very important to me (and to many others I'm sure) -and I
don't want to be yearning for Word anymore.

Thanks,

David
Comment 14 ozneilau 2007-03-20 02:48:52 UTC
I have been a keen supporter of OpenOffice for a while and install OO by 
default on my own and other peoples machines. The only limitation that has been 
a 'show stopper' for people is the track changes compatibility with Microsoft 
Word. They want to be able to see notes in the margin. I realise now that 
Navigator (push F5 to show Navigator) goes some way to address this but not far 
enough.
Comment 15 michael.ruess 2007-06-04 09:35:31 UTC
*** Issue 78027 has been marked as a duplicate of this issue. ***
Comment 16 sunspots2002 2007-08-04 13:44:15 UTC
Firstly, well done with OOo I think it is great tool. I, for one, appreciate all
that has been achieved.

I have moved away from MS Word and standardised using OOo on all of our home
systems. However, I'm getting major grief from my partner. She is a
writer/editor and this is a major feature that she uses at work in Word. I think
I will be forced to reinstate MS Word or maybe first look at one of the Open
Source products.

Summary:
1) changes to appear in a balloon/side what has been inserted/deleted/changed
2) Comments added to changes/insertions/deletions to appear on the side
3) Comments to be possible to be added to non-changed sections. Important to
highlight to some about a query on the word/sentence/paragraph
4) Comments and changes to visible in printed documents. Controllable.
5) Comments and changes to be visible if exported to PDF or other.
6) Different colours for different authors (low priority for me)

I notice this feature request has been around since 1.0.1 from 2002. This
feature request still applies to version 2.2.1. Please up the priority and this
key functionality.

Regards
Comment 17 sunspots2002 2007-08-04 13:49:08 UTC
I'll add a comment on the following to cross reference it to this.

26305  	Commenting grayed out for track changes
Comment 18 reubenyap 2007-08-14 04:35:04 UTC
I work at a law firm and am trying to get our lawyers to make the move to
OpenOffice.

Most issues have been resolved except this one where track changes in balloons
is an ESSENTIAL feature which I feel should have never been left out.

The balloons feature allows collaboration between multiple authors a lot easier
to track since it says who did it rather than just different colours for
different authors and requiring you to look at the markup one by one instead of
just glancing through.

Would really really appreciate this to be implemented.
Comment 19 bettina.haberer 2007-09-26 16:00:56 UTC
Hi Mathias, I have changed the current owner to your owner. Please take the
ownership of these enhancements.
Comment 20 mfigrs 2008-01-23 17:49:29 UTC
I will add my penny to the discussion. To me also this is a key feature.

(1) The changes in Writer should be displayed on the margin, so that the layout
of the document is not messed up. There could be an option in preferences, how
do you like your changes displayed. I bet 99% of people would like them on the
margin.

(2) Dedicated toolbar for change tracking with buttons to accept/reject and to
filter the contents by user/time/etc.

(3) Get rid of this nasty dialog box at all! The changes and the effect of
filtering should be shown in the document directly.
Comment 21 johannesrohr 2008-01-25 11:14:05 UTC
Hi, even though this is redundant, I'd like to add my comment to underline how
essential this feature request is: For me, the poor visualisation of changes in
OOo is the only reason why I still use MS Office 2003 in CrossOver Office. I
sincerely hope that this feature will be implemented in OOo 3, as this will
allow me to finally abandon MS Office for good!
Comment 22 gleppert 2008-02-09 21:26:52 UTC
I hope for this feature! Thanx in advance!
For me, (besides notes on the margins), this is the only reason, why I need to 
use Word at work.
Comment 23 michael.ruess 2008-03-07 11:25:07 UTC
*** Issue 86780 has been marked as a duplicate of this issue. ***
Comment 24 ericv 2008-03-07 12:32:05 UTC
I do not quite understand why this has not been fixed during all this time. I
deal with 200 pages documents with multiple editors and showing changes makes
the document absolutely unreadable even between a single revision.

The only acceptable way to show to readers where they should focuss when reading
the new version would be this change marks on the marging. Even latex does do that!
Comment 25 ericv 2008-03-08 08:52:32 UTC
I've read through the comments and what I ask is just the ability to be able to
select Option->open office writer-> change in a first step.

None for addition
Hide for deletion <-------------
None for changed attribute
Mark for line changed
Comment 26 ericv 2008-03-08 08:57:06 UTC
I've read through the comments and what I ask is just the ability to be able to
select Option->open office writer-> change in a first step.

None for addition
Hide for deletion <-------------
None for changed attribute
Mark for line changed

Then I do not understand why it is flaged P4 instead of P3 given the comment of
the people.
Comment 27 michael.ruess 2008-08-08 16:44:17 UTC
*** Issue 92597 has been marked as a duplicate of this issue. ***
Comment 28 gleppert 2008-12-21 00:34:17 UTC
Is there a possibility that this essential feature will be considered for
OpenOffice.org 3.2?

Thank you!
Comment 29 Mathias_Bauer 2008-12-25 23:24:05 UTC
We have even considered it for 3.1 but we discovered so many unsolved technical
and usability problems that we decided to give it more time for thinking. 
Comment 30 cathym 2009-02-25 13:41:02 UTC
Like others who have commented, I use this feature a lot for proof reading, and
I think that the comments in the margin in OO3 are a great improvement. However,
I am concerned that if all changes are put in the margin I will have serious
space problems in the margin. Some of the stuff I have to read will have a
average of one or more changes per line, and at times even the comments end up
squashed, let alone all the other changes. If what people are suggesting is
implemented, there has to be either some way of dealing with over-full margins,
or a option to have additions/deletions marked as they currently are (ie not in
the margin).
Comment 31 gleppert 2009-03-06 21:38:44 UTC
@mba: Do you need early testers or conceptual comments on usability problems on
this issue. If this is the case, feel free to approach me.

Is there public discussion (e.g. in the wiki) or brainstorming going on 
on how to implement "Use margins to track changes"? I would appreciate this.
I extensively use this feature in MS Word and since we are working on documents
in teams between (3-8 people), I cannot convince any of them to use Writer due
to this issue. On the other hand, the implementation in MS Word has severe
restrictions, i.e. by having more than 3 collaborators.
 
To do it better than Word, it would be great to have something like filters: "Do
not display any changes made earlier than my last review of the document" or "Do
not display changes that are older than xx days" or "Do not display changes of
person xy and person xz, because I trust them very much"

By the way, what does "more time for thinking" mean? Do you plan to have 
it ready for 3.2 or does it take longer?

Best regards, Gerald
Comment 32 Mathias_Bauer 2009-03-09 10:35:04 UTC
When thinking about the feature we discovered a lot of problems that would make
users unhappy. If we invested the time to implement this, it shouldn't be
something incomplete or something that works only if you don't have more than a
certain number of comments/changes or authors. 

For now we don't have a fixed date or release (as the still missing target
milestone reflects). Before knowing what you want to do it doesn't make sense to
set a target.

For now we didn't start a discussion about it, perhaps we could start it by
summing up the existing thoughts and ideas somewhere in the wiki.
Comment 33 gleppert 2009-03-14 23:01:39 UTC
In order to sum up existing thoughts and ideas, I started a wiki page on the
Track Changes feature: http://wiki.services.openoffice.org/wiki/Track_changes

Feel free to make additions to the page.

Comment 34 Mathias_Bauer 2009-03-15 21:23:38 UTC
Thanks for the interesting compilation. 

As you compared with Word: AFAIK Word also allows to display deleted text
"inline" as we are doing it in Writer by default now. If we decided to remove
that feature from Writer, things would become much easier.
Comment 35 gleppert 2009-10-25 09:35:04 UTC
@mba: In my opinion, the way to display deleted text "inline" is almost always
inferior to the other way displaying it in the margins. Hence, I wouldn't care
if that feature would be removed from OpenWriter. 
I don't know, if there is any use case where displaying deleted text "inline"
has an advantage?

Since this feature is probably the most important one, why I cannot convince
some colleagues to use OpenOffice.org, I would like to ask, whether this feature
is on track for release 3.3?
Comment 36 michael.ruess 2010-06-07 14:50:22 UTC
*** Issue 112177 has been marked as a duplicate of this issue. ***
Comment 37 jtellerelsberg 2010-07-21 18:36:57 UTC
I am a freelance editor and require a fully functional equivalent to track 
changes. I tried briefly to go it alone with OO when I got a new, linux'd 
computer, but it just didn't fly for my work. This was the one and only lacking 
feature that led me, with great regrets, to plunk money down to install Windows 
and Microsoft Office. So I strongly echo all the other similar comments that 
this is a vital feature that needs extensive improving before I can return to 
OO. For my uses, a replica of Word's functionality in Track Changes is what I'm 
most eager to see.

@gleppert re: inline display... in almost all cases I'd agree with you that 
displaying changes in the margins is superior to displaying them inline, however 
I have encountered situations where I found it easier to work with a changed 
document with inline display. As that function already more or less exists in 
OO, I don't see a reason to take it out; indeed, I see reason to retain it.
Comment 38 gleppert 2010-07-21 19:13:45 UTC
Sending a ping towards the OpenOffice developers. Is this feature planned / in
the making for OpenOffice 3.4? Me and apparently many others who collaborate
with other people in writing would appreciate this feature. 
Comment 39 jtellerelsberg 2010-07-22 13:01:56 UTC
As a follow up, I don't see why this issue has a priority of only P4 rather than 
P3. After all, as the specs for P3 go, this issue represents "non-trivial problems 
which probably affect a noticeable number of users" and fits with the example 
bullet point "Functionality which is not available, but a workaround exists".
Comment 40 grahammm 2010-10-04 09:06:23 UTC
The inability to show edits in margins, as Word does, is the one feature that is
preventing my wife, who does a lot of writing and editing, from transferring
over OO. As she loathes the latest iterations of Office, I really need this to
be solved before Office2003 ceases to be viable.
Comment 41 garyquinanola 2011-01-10 19:38:00 UTC
It would be nice if track changes will also be introduced here. I am certain
that a lot of folks will appreciate if track changes will be available here soon.
Comment 42 palaran 2011-04-26 11:11:15 UTC
This feature as currently implemented is virtually unuseable. If I make multiple changes I can no longer tell what my layout will be, and any small changes within words rather than whole word strike-throughs or additions make the individual words unreadable.
Comment 43 Marcus 2017-05-20 10:45:15 UTC
Reset the assignee to the default "issues@openoffice.apache.org".